global v;  % Global Variable 
fileID=fopen('input_inlab_task_A1.txt','r');
v = fscanf(fileID,'%f'); 		% Input in "nx ny" format 
fclose(fileID);

function result = solver(i)  % F[x] Solution using Snell's law 
	global v;
	a = v(1,1) * cos(i) + v(2,1) * sin(i);
	result = sin(i/3) *(a) - sin(i);
	return;
endfunction

x0 = [0.00001,pi/2];  % Expected Range
[ans] = fzero("solver",x0);  % Root finding

fid = fopen("output_inlab_task_01.txt","w"); % Creating a output file as writable
fprintf(fid, "%f",ans); % printing into the file
fclose(fid);  % closing the file 

