function ret = backward_solve_3(mat)
  n=length(mat);
  b=reshape(mat,1,n*n);#reshaping matrix 3x3 to 1x9
  Q=zeros(n*n);
  for (i=1:n),#generating Q
    for (j=1:n),
      A=zeros(n);
      A = press(A,i,j);#simulating pressing of button
      Q(j + (i - 1)*n,:) = reshape(A,1,n*n);
    endfor
  endfor
  R= Q\(b') * det(Q);# Solving eqn Qx+b=0
  X=reshape(R,n,n)';
  ret = mod(round(X),2);# Simplifying matrix by taking mod2
  return;
endfunction
clear;
