function ret = backward_solve(mat) 
  n=size(mat)(1) ;  
  m = size(mat)(2);
  b=reshape(mat',n*m,1); # makes it a column matrix
  Q=generate(n,m);  #  generates the adjency matrix
  R= - (Q\b) * det(Q);  # Qx + b = 0 as written in the given webpage
  x=mod(round(R),2);  # rounding to  mod 2
  X=reshape(x,m,n);
  ret = X';
  return;
endfunction
clear;
